matrix:
  platform:
  - debian10
  - ubuntu2004
  - macos
  - windows
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    build_targets:
    - '@rules_jvm_external//:implementation'
    - '@rules_jvm_external//private/tools/java/...'
bcr_test_module:
  module_path: examples/bzlmod
  matrix:
    platform:
    - debian10
    - ubuntu2004
    - macos
    - windows
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      build_targets:
      - //java/src/com/github/rules_jvm_external/examples/bzlmod:bzlmod_example
